configure 51.3 KB
Newer Older
Ken Martin's avatar
Ken Martin committed
1
#! /bin/sh
Bill Hoffman's avatar
Bill Hoffman committed
2

Ken Martin's avatar
Ken Martin committed
3
# Guess values for system-dependent variables and create Makefiles.
Bill Hoffman's avatar
Bill Hoffman committed
4 5
# Generated automatically using autoconf version 2.13 
# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
Ken Martin's avatar
Ken Martin committed
6 7 8 9
#
# This configure script is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.

Bill Hoffman's avatar
Bill Hoffman committed
10 11
# Defaults:
ac_help=
Ken Martin's avatar
Ken Martin committed
12
ac_default_prefix=/usr/local
Bill Hoffman's avatar
Bill Hoffman committed
13
# Any additions from configure.in:
Ken Martin's avatar
Ken Martin committed
14 15 16 17

# Initialize some variables set by options.
# The variables have the same names as the options, with
# dashes changed to underlines.
Bill Hoffman's avatar
Bill Hoffman committed
18 19
build=NONE
cache_file=./config.cache
Ken Martin's avatar
Ken Martin committed
20
exec_prefix=NONE
Bill Hoffman's avatar
Bill Hoffman committed
21
host=NONE
Ken Martin's avatar
Ken Martin committed
22
no_create=
Bill Hoffman's avatar
Bill Hoffman committed
23
nonopt=NONE
Ken Martin's avatar
Ken Martin committed
24 25 26 27 28 29 30 31
no_recursion=
prefix=NONE
program_prefix=NONE
program_suffix=NONE
program_transform_name=s,x,x,
silent=
site=
srcdir=
Bill Hoffman's avatar
Bill Hoffman committed
32
target=NONE
Ken Martin's avatar
Ken Martin committed
33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48
verbose=
x_includes=NONE
x_libraries=NONE
bindir='${exec_prefix}/bin'
sbindir='${exec_prefix}/sbin'
libexecdir='${exec_prefix}/libexec'
datadir='${prefix}/share'
sysconfdir='${prefix}/etc'
sharedstatedir='${prefix}/com'
localstatedir='${prefix}/var'
libdir='${exec_prefix}/lib'
includedir='${prefix}/include'
oldincludedir='/usr/include'
infodir='${prefix}/info'
mandir='${prefix}/man'

Bill Hoffman's avatar
Bill Hoffman committed
49 50 51 52 53 54
# Initialize some other variables.
subdirs=
MFLAGS= MAKEFLAGS=
SHELL=${CONFIG_SHELL-/bin/sh}
# Maximum number of lines to put in a shell here document.
ac_max_here_lines=12
Ken Martin's avatar
Ken Martin committed
55 56 57 58

ac_prev=
for ac_option
do
Bill Hoffman's avatar
Bill Hoffman committed
59

Ken Martin's avatar
Ken Martin committed
60 61 62 63 64 65 66
  # If the previous option needs an argument, assign it.
  if test -n "$ac_prev"; then
    eval "$ac_prev=\$ac_option"
    ac_prev=
    continue
  fi

Bill Hoffman's avatar
Bill Hoffman committed
67 68 69 70
  case "$ac_option" in
  -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
  *) ac_optarg= ;;
  esac
Ken Martin's avatar
Ken Martin committed
71 72 73

  # Accept the important Cygnus configure options, so we can diagnose typos.

Bill Hoffman's avatar
Bill Hoffman committed
74
  case "$ac_option" in
Ken Martin's avatar
Ken Martin committed
75 76 77 78

  -bindir | --bindir | --bindi | --bind | --bin | --bi)
    ac_prev=bindir ;;
  -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
Bill Hoffman's avatar
Bill Hoffman committed
79
    bindir="$ac_optarg" ;;
Ken Martin's avatar
Ken Martin committed
80 81

  -build | --build | --buil | --bui | --bu)
Bill Hoffman's avatar
Bill Hoffman committed
82
    ac_prev=build ;;
Ken Martin's avatar
Ken Martin committed
83
  -build=* | --build=* | --buil=* | --bui=* | --bu=*)
Bill Hoffman's avatar
Bill Hoffman committed
84
    build="$ac_optarg" ;;
Ken Martin's avatar
Ken Martin committed
85 86 87 88 89 90

  -cache-file | --cache-file | --cache-fil | --cache-fi \
  | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
    ac_prev=cache_file ;;
  -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
  | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
Bill Hoffman's avatar
Bill Hoffman committed
91
    cache_file="$ac_optarg" ;;
Ken Martin's avatar
Ken Martin committed
92 93 94 95 96

  -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
    ac_prev=datadir ;;
  -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
  | --da=*)
Bill Hoffman's avatar
Bill Hoffman committed
97
    datadir="$ac_optarg" ;;
Ken Martin's avatar
Ken Martin committed
98 99

  -disable-* | --disable-*)
Bill Hoffman's avatar
Bill Hoffman committed
100
    ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
Ken Martin's avatar
Ken Martin committed
101
    # Reject names that are not valid shell variable names.
Bill Hoffman's avatar
Bill Hoffman committed
102 103 104 105 106
    if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
    fi
    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
    eval "enable_${ac_feature}=no" ;;
Ken Martin's avatar
Ken Martin committed
107 108

  -enable-* | --enable-*)
Bill Hoffman's avatar
Bill Hoffman committed
109
    ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
Ken Martin's avatar
Ken Martin committed
110
    # Reject names that are not valid shell variable names.
Bill Hoffman's avatar
Bill Hoffman committed
111 112 113 114 115 116
    if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
    fi
    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
    case "$ac_option" in
      *=*) ;;
Ken Martin's avatar
Ken Martin committed
117 118
      *) ac_optarg=yes ;;
    esac
Bill Hoffman's avatar
Bill Hoffman committed
119
    eval "enable_${ac_feature}='$ac_optarg'" ;;
Ken Martin's avatar
Ken Martin committed
120 121 122 123 124 125 126 127

  -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
  | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
  | --exec | --exe | --ex)
    ac_prev=exec_prefix ;;
  -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
  | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
  | --exec=* | --exe=* | --ex=*)
Bill Hoffman's avatar
Bill Hoffman committed
128
    exec_prefix="$ac_optarg" ;;
Ken Martin's avatar
Ken Martin committed
129 130 131 132 133

  -gas | --gas | --ga | --g)
    # Obsolete; use --with-gas.
    with_gas=yes ;;

Bill Hoffman's avatar
Bill Hoffman committed
134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187
  -help | --help | --hel | --he)
    # Omit some internal or obsolete options to make the list less imposing.
    # This message is too long to be a string in the A/UX 3.1 sh.
    cat << EOF
Usage: configure [options] [host]
Options: [defaults in brackets after descriptions]
Configuration:
  --cache-file=FILE       cache test results in FILE
  --help                  print this message
  --no-create             do not create output files
  --quiet, --silent       do not print \`checking...' messages
  --version               print the version of autoconf that created configure
Directory and file names:
  --prefix=PREFIX         install architecture-independent files in PREFIX
                          [$ac_default_prefix]
  --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
                          [same as prefix]
  --bindir=DIR            user executables in DIR [EPREFIX/bin]
  --sbindir=DIR           system admin executables in DIR [EPREFIX/sbin]
  --libexecdir=DIR        program executables in DIR [EPREFIX/libexec]
  --datadir=DIR           read-only architecture-independent data in DIR
                          [PREFIX/share]
  --sysconfdir=DIR        read-only single-machine data in DIR [PREFIX/etc]
  --sharedstatedir=DIR    modifiable architecture-independent data in DIR
                          [PREFIX/com]
  --localstatedir=DIR     modifiable single-machine data in DIR [PREFIX/var]
  --libdir=DIR            object code libraries in DIR [EPREFIX/lib]
  --includedir=DIR        C header files in DIR [PREFIX/include]
  --oldincludedir=DIR     C header files for non-gcc in DIR [/usr/include]
  --infodir=DIR           info documentation in DIR [PREFIX/info]
  --mandir=DIR            man documentation in DIR [PREFIX/man]
  --srcdir=DIR            find the sources in DIR [configure dir or ..]
  --program-prefix=PREFIX prepend PREFIX to installed program names
  --program-suffix=SUFFIX append SUFFIX to installed program names
  --program-transform-name=PROGRAM
                          run sed PROGRAM on installed program names
EOF
    cat << EOF
Host type:
  --build=BUILD           configure for building on BUILD [BUILD=HOST]
  --host=HOST             configure for HOST [guessed]
  --target=TARGET         configure for TARGET [TARGET=HOST]
Features and packages:
  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
  --x-includes=DIR        X include files are in DIR
  --x-libraries=DIR       X library files are in DIR
EOF
    if test -n "$ac_help"; then
      echo "--enable and --with options recognized:$ac_help"
    fi
    exit 0 ;;
Ken Martin's avatar
Ken Martin committed
188 189

  -host | --host | --hos | --ho)
Bill Hoffman's avatar
Bill Hoffman committed
190
    ac_prev=host ;;
Ken Martin's avatar
Ken Martin committed
191
  -host=* | --host=* | --hos=* | --ho=*)
Bill Hoffman's avatar
Bill Hoffman committed
192
    host="$ac_optarg" ;;
Ken Martin's avatar
Ken Martin committed
193 194 195 196 197 198

  -includedir | --includedir | --includedi | --included | --include \
  | --includ | --inclu | --incl | --inc)
    ac_prev=includedir ;;
  -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
  | --includ=* | --inclu=* | --incl=* | --inc=*)
Bill Hoffman's avatar
Bill Hoffman committed
199
    includedir="$ac_optarg" ;;
Ken Martin's avatar
Ken Martin committed
200 201 202 203

  -infodir | --infodir | --infodi | --infod | --info | --inf)
    ac_prev=infodir ;;
  -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
Bill Hoffman's avatar
Bill Hoffman committed
204
    infodir="$ac_optarg" ;;
Ken Martin's avatar
Ken Martin committed
205 206 207 208

  -libdir | --libdir | --libdi | --libd)
    ac_prev=libdir ;;
  -libdir=* | --libdir=* | --libdi=* | --libd=*)
Bill Hoffman's avatar
Bill Hoffman committed
209
    libdir="$ac_optarg" ;;
Ken Martin's avatar
Ken Martin committed
210 211 212 213 214 215

  -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
  | --libexe | --libex | --libe)
    ac_prev=libexecdir ;;
  -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
  | --libexe=* | --libex=* | --libe=*)
Bill Hoffman's avatar
Bill Hoffman committed
216
    libexecdir="$ac_optarg" ;;
Ken Martin's avatar
Ken Martin committed
217 218 219 220 221 222 223 224

  -localstatedir | --localstatedir | --localstatedi | --localstated \
  | --localstate | --localstat | --localsta | --localst \
  | --locals | --local | --loca | --loc | --lo)
    ac_prev=localstatedir ;;
  -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
  | --localstate=* | --localstat=* | --localsta=* | --localst=* \
  | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
Bill Hoffman's avatar
Bill Hoffman committed
225
    localstatedir="$ac_optarg" ;;
Ken Martin's avatar
Ken Martin committed
226 227 228 229

  -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
    ac_prev=mandir ;;
  -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
Bill Hoffman's avatar
Bill Hoffman committed
230
    mandir="$ac_optarg" ;;
Ken Martin's avatar
Ken Martin committed
231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250

  -nfp | --nfp | --nf)
    # Obsolete; use --without-fp.
    with_fp=no ;;

  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
  | --no-cr | --no-c)
    no_create=yes ;;

  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
    no_recursion=yes ;;

  -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
  | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
  | --oldin | --oldi | --old | --ol | --o)
    ac_prev=oldincludedir ;;
  -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
  | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
  | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
Bill Hoffman's avatar
Bill Hoffman committed
251
    oldincludedir="$ac_optarg" ;;
Ken Martin's avatar
Ken Martin committed
252 253 254 255

  -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
    ac_prev=prefix ;;
  -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
Bill Hoffman's avatar
Bill Hoffman committed
256
    prefix="$ac_optarg" ;;
Ken Martin's avatar
Ken Martin committed
257 258 259 260 261 262

  -program-prefix | --program-prefix | --program-prefi | --program-pref \
  | --program-pre | --program-pr | --program-p)
    ac_prev=program_prefix ;;
  -program-prefix=* | --program-prefix=* | --program-prefi=* \
  | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
Bill Hoffman's avatar
Bill Hoffman committed
263
    program_prefix="$ac_optarg" ;;
Ken Martin's avatar
Ken Martin committed
264 265 266 267 268 269

  -program-suffix | --program-suffix | --program-suffi | --program-suff \
  | --program-suf | --program-su | --program-s)
    ac_prev=program_suffix ;;
  -program-suffix=* | --program-suffix=* | --program-suffi=* \
  | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
Bill Hoffman's avatar
Bill Hoffman committed
270
    program_suffix="$ac_optarg" ;;
Ken Martin's avatar
Ken Martin committed
271 272 273 274 275 276 277 278 279 280 281 282 283 284 285 286

  -program-transform-name | --program-transform-name \
  | --program-transform-nam | --program-transform-na \
  | --program-transform-n | --program-transform- \
  | --program-transform | --program-transfor \
  | --program-transfo | --program-transf \
  | --program-trans | --program-tran \
  | --progr-tra | --program-tr | --program-t)
    ac_prev=program_transform_name ;;
  -program-transform-name=* | --program-transform-name=* \
  | --program-transform-nam=* | --program-transform-na=* \
  | --program-transform-n=* | --program-transform-=* \
  | --program-transform=* | --program-transfor=* \
  | --program-transfo=* | --program-transf=* \
  | --program-trans=* | --program-tran=* \
  | --progr-tra=* | --program-tr=* | --program-t=*)
Bill Hoffman's avatar
Bill Hoffman committed
287
    program_transform_name="$ac_optarg" ;;
Ken Martin's avatar
Ken Martin committed
288 289 290 291 292 293 294 295 296

  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
  | -silent | --silent | --silen | --sile | --sil)
    silent=yes ;;

  -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
    ac_prev=sbindir ;;
  -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
  | --sbi=* | --sb=*)
Bill Hoffman's avatar
Bill Hoffman committed
297
    sbindir="$ac_optarg" ;;
Ken Martin's avatar
Ken Martin committed
298 299 300 301 302 303 304 305 306 307

  -sharedstatedir | --sharedstatedir | --sharedstatedi \
  | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
  | --sharedst | --shareds | --shared | --share | --shar \
  | --sha | --sh)
    ac_prev=sharedstatedir ;;
  -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
  | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
  | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
  | --sha=* | --sh=*)
Bill Hoffman's avatar
Bill Hoffman committed
308
    sharedstatedir="$ac_optarg" ;;
Ken Martin's avatar
Ken Martin committed
309 310 311 312

  -site | --site | --sit)
    ac_prev=site ;;
  -site=* | --site=* | --sit=*)
Bill Hoffman's avatar
Bill Hoffman committed
313
    site="$ac_optarg" ;;
Ken Martin's avatar
Ken Martin committed
314 315 316 317

  -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
    ac_prev=srcdir ;;
  -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
Bill Hoffman's avatar
Bill Hoffman committed
318
    srcdir="$ac_optarg" ;;
Ken Martin's avatar
Ken Martin committed
319 320 321 322 323 324

  -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
  | --syscon | --sysco | --sysc | --sys | --sy)
    ac_prev=sysconfdir ;;
  -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
  | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
Bill Hoffman's avatar
Bill Hoffman committed
325
    sysconfdir="$ac_optarg" ;;
Ken Martin's avatar
Ken Martin committed
326 327

  -target | --target | --targe | --targ | --tar | --ta | --t)
Bill Hoffman's avatar
Bill Hoffman committed
328
    ac_prev=target ;;
Ken Martin's avatar
Ken Martin committed
329
  -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
Bill Hoffman's avatar
Bill Hoffman committed
330
    target="$ac_optarg" ;;
Ken Martin's avatar
Ken Martin committed
331 332 333 334

  -v | -verbose | --verbose | --verbos | --verbo | --verb)
    verbose=yes ;;

Bill Hoffman's avatar
Bill Hoffman committed
335 336 337
  -version | --version | --versio | --versi | --vers)
    echo "configure generated by autoconf version 2.13"
    exit 0 ;;
Ken Martin's avatar
Ken Martin committed
338 339

  -with-* | --with-*)
Bill Hoffman's avatar
Bill Hoffman committed
340
    ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
Ken Martin's avatar
Ken Martin committed
341
    # Reject names that are not valid shell variable names.
Bill Hoffman's avatar
Bill Hoffman committed
342 343 344
    if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
    fi
Ken Martin's avatar
Ken Martin committed
345
    ac_package=`echo $ac_package| sed 's/-/_/g'`
Bill Hoffman's avatar
Bill Hoffman committed
346 347
    case "$ac_option" in
      *=*) ;;
Ken Martin's avatar
Ken Martin committed
348 349
      *) ac_optarg=yes ;;
    esac
Bill Hoffman's avatar
Bill Hoffman committed
350
    eval "with_${ac_package}='$ac_optarg'" ;;
Ken Martin's avatar
Ken Martin committed
351 352

  -without-* | --without-*)
Bill Hoffman's avatar
Bill Hoffman committed
353
    ac_package=`echo $ac_option|sed -e 's/-*without-//'`
Ken Martin's avatar
Ken Martin committed
354
    # Reject names that are not valid shell variable names.
Bill Hoffman's avatar
Bill Hoffman committed
355 356 357 358 359
    if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
    fi
    ac_package=`echo $ac_package| sed 's/-/_/g'`
    eval "with_${ac_package}=no" ;;
Ken Martin's avatar
Ken Martin committed
360 361 362 363 364 365 366 367 368 369

  --x)
    # Obsolete; use --with-x.
    with_x=yes ;;

  -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
  | --x-incl | --x-inc | --x-in | --x-i)
    ac_prev=x_includes ;;
  -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
  | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
Bill Hoffman's avatar
Bill Hoffman committed
370
    x_includes="$ac_optarg" ;;
Ken Martin's avatar
Ken Martin committed
371 372 373 374 375 376

  -x-libraries | --x-libraries | --x-librarie | --x-librari \
  | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
    ac_prev=x_libraries ;;
  -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
  | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
Bill Hoffman's avatar
Bill Hoffman committed
377
    x_libraries="$ac_optarg" ;;
Ken Martin's avatar
Ken Martin committed
378

Bill Hoffman's avatar
Bill Hoffman committed
379
  -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
Ken Martin's avatar
Ken Martin committed
380 381 382
    ;;

  *)
Bill Hoffman's avatar
Bill Hoffman committed
383 384 385 386 387 388 389
    if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
      echo "configure: warning: $ac_option: invalid host type" 1>&2
    fi
    if test "x$nonopt" != xNONE; then
      { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
    fi
    nonopt="$ac_option"
Ken Martin's avatar
Ken Martin committed
390 391 392 393 394 395
    ;;

  esac
done

if test -n "$ac_prev"; then
Bill Hoffman's avatar
Bill Hoffman committed
396
  { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
Ken Martin's avatar
Ken Martin committed
397 398
fi

Bill Hoffman's avatar
Bill Hoffman committed
399
trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
Ken Martin's avatar
Ken Martin committed
400

Bill Hoffman's avatar
Bill Hoffman committed
401 402 403 404 405 406 407 408 409 410 411 412 413 414 415 416 417 418 419 420 421 422 423 424
# File descriptor usage:
# 0 standard input
# 1 file creation
# 2 errors and warnings
# 3 some systems may open it to /dev/tty
# 4 used on the Kubota Titan
# 6 checking for... messages and results
# 5 compiler messages saved in config.log
if test "$silent" = yes; then
  exec 6>/dev/null
else
  exec 6>&1
fi
exec 5>./config.log

echo "\
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.
" 1>&5

# Strip out --no-create and --no-recursion so they do not pile up.
# Also quote any args containing shell metacharacters.
ac_configure_args=
for ac_arg
Ken Martin's avatar
Ken Martin committed
425
do
Bill Hoffman's avatar
Bill Hoffman committed
426 427 428 429 430 431 432 433
  case "$ac_arg" in
  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
  | --no-cr | --no-c) ;;
  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
  *" "*|*"	"*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
  ac_configure_args="$ac_configure_args '$ac_arg'" ;;
  *) ac_configure_args="$ac_configure_args $ac_arg" ;;
Ken Martin's avatar
Ken Martin committed
434 435 436
  esac
done

Bill Hoffman's avatar
Bill Hoffman committed
437 438 439 440 441 442 443 444 445
# NLS nuisances.
# Only set these to C if already set.  These must not be set unconditionally
# because not all systems understand e.g. LANG=C (notably SCO).
# Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
# Non-C LC_CTYPE values break the ctype check.
if test "${LANG+set}"   = set; then LANG=C;   export LANG;   fi
if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
if test "${LC_CTYPE+set}"    = set; then LC_CTYPE=C;    export LC_CTYPE;    fi
Ken Martin's avatar
Ken Martin committed
446

Bill Hoffman's avatar
Bill Hoffman committed
447 448 449 450
# confdefs.h avoids OS command line length limits that DEFS can exceed.
rm -rf conftest* confdefs.h
# AIX cpp loses on an empty file, so make sure it contains at least a newline.
echo > confdefs.h
Ken Martin's avatar
Ken Martin committed
451

Bill Hoffman's avatar
Bill Hoffman committed
452 453 454
# A filename unique to this package, relative to the directory that
# configure is in, which we can look for to find out if srcdir is correct.
ac_unique_file=
Ken Martin's avatar
Ken Martin committed
455 456 457 458 459 460

# Find the source files, if location was not specified.
if test -z "$srcdir"; then
  ac_srcdir_defaulted=yes
  # Try the directory containing this script, then its parent.
  ac_prog=$0
Bill Hoffman's avatar
Bill Hoffman committed
461
  ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
Ken Martin's avatar
Ken Martin committed
462 463 464 465 466 467 468 469 470 471
  test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
  srcdir=$ac_confdir
  if test ! -r $srcdir/$ac_unique_file; then
    srcdir=..
  fi
else
  ac_srcdir_defaulted=no
fi
if test ! -r $srcdir/$ac_unique_file; then
  if test "$ac_srcdir_defaulted" = yes; then
Bill Hoffman's avatar
Bill Hoffman committed
472
    { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
Ken Martin's avatar
Ken Martin committed
473
  else
Bill Hoffman's avatar
Bill Hoffman committed
474
    { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
Ken Martin's avatar
Ken Martin committed
475 476
  fi
fi
Bill Hoffman's avatar
Bill Hoffman committed
477
srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
478

Ken Martin's avatar
Ken Martin committed
479 480 481 482 483 484 485 486 487 488
# Prefer explicitly selected file to automatically selected ones.
if test -z "$CONFIG_SITE"; then
  if test "x$prefix" != xNONE; then
    CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
  else
    CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
  fi
fi
for ac_site_file in $CONFIG_SITE; do
  if test -r "$ac_site_file"; then
Bill Hoffman's avatar
Bill Hoffman committed
489
    echo "loading site script $ac_site_file"
Ken Martin's avatar
Ken Martin committed
490 491 492 493 494
    . "$ac_site_file"
  fi
done

if test -r "$cache_file"; then
Bill Hoffman's avatar
Bill Hoffman committed
495 496
  echo "loading cache $cache_file"
  . $cache_file
Ken Martin's avatar
Ken Martin committed
497
else
Bill Hoffman's avatar
Bill Hoffman committed
498 499
  echo "creating cache $cache_file"
  > $cache_file
Ken Martin's avatar
Ken Martin committed
500 501 502
fi

ac_ext=c
Bill Hoffman's avatar
Bill Hoffman committed
503
# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
Ken Martin's avatar
Ken Martin committed
504
ac_cpp='$CPP $CPPFLAGS'
Bill Hoffman's avatar
Bill Hoffman committed
505 506 507 508 509 510 511 512 513 514 515 516 517 518
ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
cross_compiling=$ac_cv_prog_cc_cross

ac_exeext=
ac_objext=o
if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
  # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
  if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
    ac_n= ac_c='
' ac_t='	'
  else
    ac_n=-n ac_c= ac_t=
  fi
Ken Martin's avatar
Ken Martin committed
519
else
Bill Hoffman's avatar
Bill Hoffman committed
520
  ac_n= ac_c='\c' ac_t=
Ken Martin's avatar
Ken Martin committed
521 522
fi

Bill Hoffman's avatar
Bill Hoffman committed
523 524 525



Ken Martin's avatar
Ken Martin committed
526

527 528 529 530 531 532 533 534 535 536 537 538 539 540 541 542 543 544 545 546 547 548 549 550 551 552 553 554 555 556 557 558 559 560 561 562 563
# find make to use to build cmake, prefer gmake
for ac_prog in gmake make
do
# Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
echo "configure:534: checking for $ac_word" >&5
if eval "test \"`echo '$''{'ac_cv_path_RUNMAKE'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  case "$RUNMAKE" in
  /*)
  ac_cv_path_RUNMAKE="$RUNMAKE" # Let the user override the test with a path.
  ;;
  ?:/*)			 
  ac_cv_path_RUNMAKE="$RUNMAKE" # Let the user override the test with a dos path.
  ;;
  *)
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
  ac_dummy="$PATH"
  for ac_dir in $ac_dummy; do 
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      ac_cv_path_RUNMAKE="$ac_dir/$ac_word"
      break
    fi
  done
  IFS="$ac_save_ifs"
  ;;
esac
fi
RUNMAKE="$ac_cv_path_RUNMAKE"
if test -n "$RUNMAKE"; then
  echo "$ac_t""$RUNMAKE" 1>&6
else
  echo "$ac_t""no" 1>&6
fi
Ken Martin's avatar
Ken Martin committed
564

565 566 567 568 569 570 571 572
test -n "$RUNMAKE" && break
done


fullSrcDir=`cd $srcdir; pwd`
CMAKE_ROOT_DIR=$fullSrcDir

if test "x$BUILD_CMAKE_IN_SUBDIR" = "xtrue"; then
Bill Hoffman's avatar
Bill Hoffman committed
573

Ken Martin's avatar
Ken Martin committed
574 575 576
#
# check for some programs we use
#
577 578 579 580 581 582

# save the CFLAGS and CXXFLAGS specified by the user
save_CFLAGS=$CFLAGS
save_CXXFLAGS=$CXXFLAGS

# let autoconf find cc and CC, it will try to add -g -O2 to CFLAGS and CXXFLAGS
Bill Hoffman's avatar
Bill Hoffman committed
583
# Extract the first word of "gcc", so it can be a program name with args.
Ken Martin's avatar
Ken Martin committed
584
set dummy gcc; ac_word=$2
Bill Hoffman's avatar
Bill Hoffman committed
585
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
586
echo "configure:587: checking for $ac_word" >&5
Bill Hoffman's avatar
Bill Hoffman committed
587 588
if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
Ken Martin's avatar
Ken Martin committed
589 590 591 592
else
  if test -n "$CC"; then
  ac_cv_prog_CC="$CC" # Let the user override the test.
else
Bill Hoffman's avatar
Bill Hoffman committed
593 594 595 596 597 598 599 600 601 602
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
  ac_dummy="$PATH"
  for ac_dir in $ac_dummy; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      ac_cv_prog_CC="gcc"
      break
    fi
  done
  IFS="$ac_save_ifs"
Ken Martin's avatar
Ken Martin committed
603 604
fi
fi
Bill Hoffman's avatar
Bill Hoffman committed
605
CC="$ac_cv_prog_CC"
Ken Martin's avatar
Ken Martin committed
606
if test -n "$CC"; then
Bill Hoffman's avatar
Bill Hoffman committed
607
  echo "$ac_t""$CC" 1>&6
608
else
Bill Hoffman's avatar
Bill Hoffman committed
609
  echo "$ac_t""no" 1>&6
610 611
fi

Ken Martin's avatar
Ken Martin committed
612 613 614
if test -z "$CC"; then
  # Extract the first word of "cc", so it can be a program name with args.
set dummy cc; ac_word=$2
Bill Hoffman's avatar
Bill Hoffman committed
615
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
616
echo "configure:617: checking for $ac_word" >&5
Bill Hoffman's avatar
Bill Hoffman committed
617 618
if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
Ken Martin's avatar
Ken Martin committed
619 620 621 622
else
  if test -n "$CC"; then
  ac_cv_prog_CC="$CC" # Let the user override the test.
else
Bill Hoffman's avatar
Bill Hoffman committed
623
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
Ken Martin's avatar
Ken Martin committed
624
  ac_prog_rejected=no
Bill Hoffman's avatar
Bill Hoffman committed
625 626 627 628 629 630 631 632 633 634 635 636 637
  ac_dummy="$PATH"
  for ac_dir in $ac_dummy; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
        ac_prog_rejected=yes
	continue
      fi
      ac_cv_prog_CC="cc"
      break
    fi
  done
  IFS="$ac_save_ifs"
Ken Martin's avatar
Ken Martin committed
638 639 640 641
if test $ac_prog_rejected = yes; then
  # We found a bogon in the path, so make sure we never use it.
  set dummy $ac_cv_prog_CC
  shift
Bill Hoffman's avatar
Bill Hoffman committed
642
  if test $# -gt 0; then
Ken Martin's avatar
Ken Martin committed
643 644 645 646
    # We chose a different compiler from the bogus one.
    # However, it has the same basename, so the bogon will be chosen
    # first if we set CC to just the basename; use the full file name.
    shift
Bill Hoffman's avatar
Bill Hoffman committed
647
    set dummy "$ac_dir/$ac_word" "$@"
Ken Martin's avatar
Ken Martin committed
648 649 650 651 652 653
    shift
    ac_cv_prog_CC="$@"
  fi
fi
fi
fi
Bill Hoffman's avatar
Bill Hoffman committed
654
CC="$ac_cv_prog_CC"
Ken Martin's avatar
Ken Martin committed
655
if test -n "$CC"; then
Bill Hoffman's avatar
Bill Hoffman committed
656
  echo "$ac_t""$CC" 1>&6
Ken Martin's avatar
Ken Martin committed
657
else
Bill Hoffman's avatar
Bill Hoffman committed
658 659 660 661 662 663 664 665 666
  echo "$ac_t""no" 1>&6
fi

  if test -z "$CC"; then
    case "`uname -s`" in
    *win32* | *WIN32*)
      # Extract the first word of "cl", so it can be a program name with args.
set dummy cl; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
667
echo "configure:668: checking for $ac_word" >&5
Bill Hoffman's avatar
Bill Hoffman committed
668 669
if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
Ken Martin's avatar
Ken Martin committed
670 671 672 673
else
  if test -n "$CC"; then
  ac_cv_prog_CC="$CC" # Let the user override the test.
else
Bill Hoffman's avatar
Bill Hoffman committed
674 675 676 677 678 679 680 681 682 683
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
  ac_dummy="$PATH"
  for ac_dir in $ac_dummy; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      ac_cv_prog_CC="cl"
      break
    fi
  done
  IFS="$ac_save_ifs"
Ken Martin's avatar
Ken Martin committed
684 685
fi
fi
Bill Hoffman's avatar
Bill Hoffman committed
686
CC="$ac_cv_prog_CC"
Ken Martin's avatar
Ken Martin committed
687
if test -n "$CC"; then
Bill Hoffman's avatar
Bill Hoffman committed
688
  echo "$ac_t""$CC" 1>&6
Ken Martin's avatar
Ken Martin committed
689
else
Bill Hoffman's avatar
Bill Hoffman committed
690
  echo "$ac_t""no" 1>&6
Ken Martin's avatar
Ken Martin committed
691
fi
Bill Hoffman's avatar
Bill Hoffman committed
692 693 694 695
 ;;
    esac
  fi
  test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
696
fi
Ken Martin's avatar
Ken Martin committed
697

Bill Hoffman's avatar
Bill Hoffman committed
698
echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
699
echo "configure:700: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
700

Bill Hoffman's avatar
Bill Hoffman committed
701 702 703 704 705 706
ac_ext=c
# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
ac_cpp='$CPP $CPPFLAGS'
ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
cross_compiling=$ac_cv_prog_cc_cross
Ken Martin's avatar
Ken Martin committed
707

Bill Hoffman's avatar
Bill Hoffman committed
708
cat > conftest.$ac_ext << EOF
Ken Martin's avatar
Ken Martin committed
709

710
#line 711 "configure"
Ken Martin's avatar
Ken Martin committed
711 712
#include "confdefs.h"

Bill Hoffman's avatar
Bill Hoffman committed
713 714
main(){return(0);}
EOF
715
if { (eval echo configure:716: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
Bill Hoffman's avatar
Bill Hoffman committed
716 717 718 719
  ac_cv_prog_cc_works=yes
  # If we can't run a trivial program, we are probably using a cross compiler.
  if (./conftest; exit) 2>/dev/null; then
    ac_cv_prog_cc_cross=no
Ken Martin's avatar
Ken Martin committed
720
  else
Bill Hoffman's avatar
Bill Hoffman committed
721
    ac_cv_prog_cc_cross=yes
Ken Martin's avatar
Ken Martin committed
722 723
  fi
else
Bill Hoffman's avatar
Bill Hoffman committed
724 725 726
  echo "configure: failed program was:" >&5
  cat conftest.$ac_ext >&5
  ac_cv_prog_cc_works=no
Ken Martin's avatar
Ken Martin committed
727
fi
Bill Hoffman's avatar
Bill Hoffman committed
728 729 730 731 732 733 734 735 736 737 738 739 740
rm -fr conftest*
ac_ext=c
# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
ac_cpp='$CPP $CPPFLAGS'
ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
cross_compiling=$ac_cv_prog_cc_cross

echo "$ac_t""$ac_cv_prog_cc_works" 1>&6
if test $ac_cv_prog_cc_works = no; then
  { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
fi
echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
741
echo "configure:742: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
Bill Hoffman's avatar
Bill Hoffman committed
742 743 744 745
echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
cross_compiling=$ac_cv_prog_cc_cross

echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
746
echo "configure:747: checking whether we are using GNU C" >&5
Bill Hoffman's avatar
Bill Hoffman committed
747 748
if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
Ken Martin's avatar
Ken Martin committed
749
else
Bill Hoffman's avatar
Bill Hoffman committed
750 751 752 753 754
  cat > conftest.c <<EOF
#ifdef __GNUC__
  yes;
#endif
EOF
755
if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:756: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
Bill Hoffman's avatar
Bill Hoffman committed
756
  ac_cv_prog_gcc=yes
Ken Martin's avatar
Ken Martin committed
757
else
Bill Hoffman's avatar
Bill Hoffman committed
758
  ac_cv_prog_gcc=no
Ken Martin's avatar
Ken Martin committed
759 760 761
fi
fi

Bill Hoffman's avatar
Bill Hoffman committed
762
echo "$ac_t""$ac_cv_prog_gcc" 1>&6
Ken Martin's avatar
Ken Martin committed
763

Bill Hoffman's avatar
Bill Hoffman committed
764 765
if test $ac_cv_prog_gcc = yes; then
  GCC=yes
Ken Martin's avatar
Ken Martin committed
766
else
Bill Hoffman's avatar
Bill Hoffman committed
767
  GCC=
Ken Martin's avatar
Ken Martin committed
768 769
fi

Bill Hoffman's avatar
Bill Hoffman committed
770 771 772 773
ac_test_CFLAGS="${CFLAGS+set}"
ac_save_CFLAGS="$CFLAGS"
CFLAGS=
echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
774
echo "configure:775: checking whether ${CC-cc} accepts -g" >&5
Bill Hoffman's avatar
Bill Hoffman committed
775 776
if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
Ken Martin's avatar
Ken Martin committed
777
else
Bill Hoffman's avatar
Bill Hoffman committed
778 779
  echo 'void f(){}' > conftest.c
if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
Ken Martin's avatar
Ken Martin committed
780 781
  ac_cv_prog_cc_g=yes
else
Bill Hoffman's avatar
Bill Hoffman committed
782
  ac_cv_prog_cc_g=no
Ken Martin's avatar
Ken Martin committed
783
fi
Bill Hoffman's avatar
Bill Hoffman committed
784 785
rm -f conftest*

Ken Martin's avatar
Ken Martin committed
786
fi
Bill Hoffman's avatar
Bill Hoffman committed
787 788

echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
Ken Martin's avatar
Ken Martin committed
789
if test "$ac_test_CFLAGS" = set; then
Bill Hoffman's avatar
Bill Hoffman committed
790
  CFLAGS="$ac_save_CFLAGS"
Ken Martin's avatar
Ken Martin committed
791 792 793 794 795 796 797 798 799 800 801 802 803
elif test $ac_cv_prog_cc_g = yes; then
  if test "$GCC" = yes; then
    CFLAGS="-g -O2"
  else
    CFLAGS="-g"
  fi
else
  if test "$GCC" = yes; then
    CFLAGS="-O2"
  else
    CFLAGS=
  fi
fi
804

Bill Hoffman's avatar
Bill Hoffman committed
805 806 807 808 809
for ac_prog in $CCC c++ g++ gcc CC cxx cc++ cl
do
# Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
810
echo "configure:811: checking for $ac_word" >&5
Bill Hoffman's avatar
Bill Hoffman committed
811 812
if eval "test \"`echo '$''{'ac_cv_prog_CXX'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
Ken Martin's avatar
Ken Martin committed
813 814 815 816
else
  if test -n "$CXX"; then
  ac_cv_prog_CXX="$CXX" # Let the user override the test.
else
Bill Hoffman's avatar
Bill Hoffman committed
817 818 819 820 821 822 823 824 825 826
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
  ac_dummy="$PATH"
  for ac_dir in $ac_dummy; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      ac_cv_prog_CXX="$ac_prog"
      break
    fi
  done
  IFS="$ac_save_ifs"
Ken Martin's avatar
Ken Martin committed
827 828
fi
fi
Bill Hoffman's avatar
Bill Hoffman committed
829
CXX="$ac_cv_prog_CXX"
Ken Martin's avatar
Ken Martin committed
830
if test -n "$CXX"; then
Bill Hoffman's avatar
Bill Hoffman committed
831
  echo "$ac_t""$CXX" 1>&6
Ken Martin's avatar
Ken Martin committed
832
else
Bill Hoffman's avatar
Bill Hoffman committed
833
  echo "$ac_t""no" 1>&6
Ken Martin's avatar
Ken Martin committed
834 835
fi

Bill Hoffman's avatar
Bill Hoffman committed
836
test -n "$CXX" && break
Ken Martin's avatar
Ken Martin committed
837
done
Bill Hoffman's avatar
Bill Hoffman committed
838
test -n "$CXX" || CXX="gcc"
Ken Martin's avatar
Ken Martin committed
839 840


Bill Hoffman's avatar
Bill Hoffman committed
841
echo $ac_n "checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) works""... $ac_c" 1>&6
842
echo "configure:843: checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) works" >&5
Ken Martin's avatar
Ken Martin committed
843

Bill Hoffman's avatar
Bill Hoffman committed
844 845 846 847 848 849
ac_ext=C
# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
ac_cpp='$CXXCPP $CPPFLAGS'
ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
cross_compiling=$ac_cv_prog_cxx_cross
Ken Martin's avatar
Ken Martin committed
850

Bill Hoffman's avatar
Bill Hoffman committed
851 852
cat > conftest.$ac_ext << EOF

853
#line 854 "configure"
Ken Martin's avatar
Ken Martin committed
854 855
#include "confdefs.h"

Bill Hoffman's avatar
Bill Hoffman committed
856 857
int main(){return(0);}
EOF
858
if { (eval echo configure:859: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
Bill Hoffman's avatar
Bill Hoffman committed
859 860 861 862 863 864 865 866 867 868 869 870 871 872 873 874 875 876 877 878 879 880 881 882 883
  ac_cv_prog_cxx_works=yes
  # If we can't run a trivial program, we are probably using a cross compiler.
  if (./conftest; exit) 2>/dev/null; then
    ac_cv_prog_cxx_cross=no
  else
    ac_cv_prog_cxx_cross=yes
  fi
else
  echo "configure: failed program was:" >&5
  cat conftest.$ac_ext >&5
  ac_cv_prog_cxx_works=no
fi
rm -fr conftest*
ac_ext=c
# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
ac_cpp='$CPP $CPPFLAGS'
ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
cross_compiling=$ac_cv_prog_cc_cross

echo "$ac_t""$ac_cv_prog_cxx_works" 1>&6
if test $ac_cv_prog_cxx_works = no; then
  { echo "configure: error: installation or configuration problem: C++ compiler cannot create executables." 1>&2; exit 1; }
fi
echo $ac_n "checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
884
echo "configure:885: checking whether the C++ compiler ($CXX $CXXFLAGS $LDFLAGS) is a cross-compiler" >&5
Bill Hoffman's avatar
Bill Hoffman committed
885 886 887 888
echo "$ac_t""$ac_cv_prog_cxx_cross" 1>&6
cross_compiling=$ac_cv_prog_cxx_cross

echo $ac_n "checking whether we are using GNU C++""... $ac_c" 1>&6
889
echo "configure:890: checking whether we are using GNU C++" >&5
Bill Hoffman's avatar
Bill Hoffman committed
890 891 892 893 894 895
if eval "test \"`echo '$''{'ac_cv_prog_gxx'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  cat > conftest.C <<EOF
#ifdef __GNUC__
  yes;
Ken Martin's avatar
Ken Martin committed
896
#endif
Bill Hoffman's avatar
Bill Hoffman committed
897
EOF
898
if { ac_try='${CXX-g++} -E conftest.C'; { (eval echo configure:899: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
Bill Hoffman's avatar
Bill Hoffman committed
899
  ac_cv_prog_gxx=yes
Ken Martin's avatar
Ken Martin committed
900
else
Bill Hoffman's avatar
Bill Hoffman committed
901
  ac_cv_prog_gxx=no
Ken Martin's avatar
Ken Martin committed
902
fi
903
fi
Bill Hoffman's avatar
Bill Hoffman committed
904 905 906 907 908

echo "$ac_t""$ac_cv_prog_gxx" 1>&6

if test $ac_cv_prog_gxx = yes; then
  GXX=yes
Ken Martin's avatar
Ken Martin committed
909
else
Bill Hoffman's avatar
Bill Hoffman committed
910 911
  GXX=
fi
912

Bill Hoffman's avatar
Bill Hoffman committed
913 914 915 916
ac_test_CXXFLAGS="${CXXFLAGS+set}"
ac_save_CXXFLAGS="$CXXFLAGS"
CXXFLAGS=
echo $ac_n "checking whether ${CXX-g++} accepts -g""... $ac_c" 1>&6
917
echo "configure:918: checking whether ${CXX-g++} accepts -g" >&5
Bill Hoffman's avatar
Bill Hoffman committed
918 919 920 921 922
if eval "test \"`echo '$''{'ac_cv_prog_cxx_g'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  echo 'void f(){}' > conftest.cc
if test -z "`${CXX-g++} -g -c conftest.cc 2>&1`"; then
Ken Martin's avatar
Ken Martin committed
923 924
  ac_cv_prog_cxx_g=yes
else
Bill Hoffman's avatar
Bill Hoffman committed
925
  ac_cv_prog_cxx_g=no
Ken Martin's avatar
Ken Martin committed
926
fi
Bill Hoffman's avatar
Bill Hoffman committed
927 928
rm -f conftest*

Ken Martin's avatar
Ken Martin committed
929
fi
Bill Hoffman's avatar
Bill Hoffman committed
930 931

echo "$ac_t""$ac_cv_prog_cxx_g" 1>&6
Ken Martin's avatar
Ken Martin committed
932
if test "$ac_test_CXXFLAGS" = set; then
Bill Hoffman's avatar
Bill Hoffman committed
933
  CXXFLAGS="$ac_save_CXXFLAGS"
Ken Martin's avatar
Ken Martin committed
934 935 936 937 938 939 940 941 942 943 944 945 946 947 948
elif test $ac_cv_prog_cxx_g = yes; then
  if test "$GXX" = yes; then
    CXXFLAGS="-g -O2"
  else
    CXXFLAGS="-g"
  fi
else
  if test "$GXX" = yes; then
    CXXFLAGS="-O2"
  else
    CXXFLAGS=
  fi
fi


949 950 951 952 953
# restore the flags specified by the user and get rid of any flags
# found by autoconf (we do not want -02 -g by default)
CFLAGS=$save_CFLAGS
CXXFLAGS=$save_CXXFLAGS

Ken Martin's avatar
Ken Martin committed
954

Bill Hoffman's avatar
Bill Hoffman committed
955 956


Bill Hoffman's avatar
Bill Hoffman committed
957 958 959 960
# Step 1: set the variable "system" to hold the name and version number
# for the system.  This can usually be done via the "uname" command, but
# there are a few systems, like Next, where this doesn't work.

Bill Hoffman's avatar
Bill Hoffman committed
961
echo $ac_n "checking system version (for dynamic loading)""... $ac_c" 1>&6
962
echo "configure:963: checking system version (for dynamic loading)" >&5
Bill Hoffman's avatar
Bill Hoffman committed
963 964 965 966 967
if test -f /usr/lib/NextStep/software_version; then
  system=NEXTSTEP-`awk '/3/,/3/' /usr/lib/NextStep/software_version`
else
    system=`uname -s`-`uname -r`
    if test "$?" -ne 0 ; then
Bill Hoffman's avatar
Bill Hoffman committed
968
	echo "$ac_t""unknown (can't find uname command)" 1>&6
Bill Hoffman's avatar
Bill Hoffman committed
969 970 971 972
	system=unknown
    else
	# Special check for weird MP-RAS system (uname returns weird
	# results, and the version is kept in special file).
Bill Hoffman's avatar
Bill Hoffman committed
973
    
Bill Hoffman's avatar
Bill Hoffman committed
974 975 976
	if test -r /etc/.relid -a "X`uname -n`" = "X`uname -s`" ; then
	    system=MP-RAS-`awk '{print $3}' /etc/.relid'`
	fi
Bill Hoffman's avatar
Bill Hoffman committed
977
	echo "$ac_t""$system" 1>&6
Bill Hoffman's avatar
Bill Hoffman committed
978 979 980
    fi
fi

981 982 983 984 985 986 987 988 989 990 991

CMAKE_CONFIG_DIR=`pwd`

case $system in 
	CYGWIN_NT*)
		CMAKE_CONFIG_DIR=`pwd`
		CMAKE_CONFIG_DIR="\"$CMAKE_CONFIG_DIR\""
	;;
esac


Bill Hoffman's avatar
Bill Hoffman committed
992
CMAKE_ANSI_CFLAGS=""
993
CMAKE_ANSI_CXXFLAGS=""
Bill Hoffman's avatar
Bill Hoffman committed
994
# on hp use -Aa for ansi
Bill Hoffman's avatar
Bill Hoffman committed
995
if test $ac_cv_prog_gxx = no; then
Bill Hoffman's avatar
Bill Hoffman committed
996 997
case $system in
    HP-UX-*.08.*|HP-UX-*.09.*|HP-UX-*.10.*)
998 999
        CFLAGS_ORIG="$FLAGS"
        CFLAGS="-Aa $CFLAGS"
Bill Hoffman's avatar
Bill Hoffman committed
1000
        echo $ac_n "checking whether ${CC} accepts -Aa""... $ac_c" 1>&6
1001
echo "configure:1002: checking whether ${CC} accepts -Aa" >&5
1002
        cat > conftest.$ac_ext <<EOF
1003
#line 1004 "configure"
1004 1005 1006 1007 1008 1009 1010 1011
#include "confdefs.h"

        void foo() {}
        
int main() {

; return 0; }
EOF
1012
if { (eval echo configure:1013: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1013 1014 1015 1016 1017 1018 1019 1020 1021 1022 1023 1024 1025 1026 1027
  rm -rf conftest*
  
        echo "$ac_t""yes" 1>&6
        CMAKE_ANSI_CFLAGS="$CMAKE_ANSI_CFLAGS -Aa"
        
else
  echo "configure: failed program was:" >&5
  cat conftest.$ac_ext >&5
  rm -rf conftest*
  
        echo "$ac_t""no" 1>&6
        
fi
rm -f conftest*
        CFLAGS="$CFLAGS_ORIG"
Bill Hoffman's avatar
Bill Hoffman committed
1028
	;;  
1029
     IRIX-5* | IRIX-6* | IRIX64-6* | IRIX-64-6*)
Bill Hoffman's avatar
Bill Hoffman committed
1030
        echo $ac_n "checking whether ${CXX} accepts -LANG:std""... $ac_c" 1>&6
1031 1032 1033 1034 1035 1036 1037 1038
        echo 'void f(){}' > conftest.cc
        if test -z "`${CXX} -LANG:std -c conftest.cc 2>&1`"; then
          echo "$ac_t""yes" 1>&6
          CMAKE_ANSI_CXXFLAGS="-LANG:std"
        else
          echo "$ac_t""no" 1>&6
        fi
        rm -f conftest*
1039
	;;
1040
     OSF1-*)
1041 1042 1043

        CXXFLAGS_ORIG="$CXXFLAGS"
        CXXFLAGS="-std strict_ansi -nopure_cname $CXXFLAGS"
1044
        echo $ac_n "checking whether ${CXX} accepts -std strict_ansi -nopure_cname""... $ac_c" 1>&6
1045
echo "configure:1046: checking whether ${CXX} accepts -std strict_ansi -nopure_cname" >&5
1046 1047 1048 1049 1050 1051 1052
        
        ac_ext=C
# CXXFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
ac_cpp='$CXXCPP $CPPFLAGS'
ac_compile='${CXX-g++} -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
ac_link='${CXX-g++} -o conftest${ac_exeext} $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
cross_compiling=$ac_cv_prog_cxx_cross
1053

1054
        cat > conftest.$ac_ext <<EOF
1055
#line 1056 "configure"
1056 1057 1058 1059 1060 1061 1062 1063
#include "confdefs.h"

        void foo() {}
        
int main() {

; return 0; }
EOF
1064
if { (eval echo configure:1065: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1065 1066 1067 1068 1069 1070 1071 1072 1073 1074 1075 1076 1077 1078 1079 1080 1081 1082 1083 1084 1085 1086 1087
  rm -rf conftest*
  
        echo "$ac_t""yes" 1>&6
        CMAKE_ANSI_CXXFLAGS="-std strict_ansi -nopure_cname"
        
else
  echo "configure: failed program was:" >&5
  cat conftest.$ac_ext >&5
  rm -rf conftest*
  
        echo "$ac_t""no" 1>&6
        
fi
rm -f conftest*
        ac_ext=c
# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
ac_cpp='$CPP $CPPFLAGS'
ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
cross_compiling=$ac_cv_prog_cc_cross

        CXXFLAGS="$CXXFLAGS_ORIG"
	;;
Bill Hoffman's avatar
Bill Hoffman committed
1088
esac
Ken Martin's avatar
Ken Martin committed
1089 1090
fi

Bill Hoffman's avatar
Bill Hoffman committed
1091

1092

1093
# check non-g++ compilers to see if they have the standard 
Bill Hoffman's avatar
Bill Hoffman committed
1094
# ansi stream files (without the .h)
Bill Hoffman's avatar
Bill Hoffman committed
1095
if test $ac_cv_prog_gxx = no; then
1096 1097
  CXXFLAGS_ORIG="$CXXFLAGS"
  CXXFLAGS="$CMAKE_ANSI_CXXFLAGS $CXXFLAGS"
Bill Hoffman's avatar
Bill Hoffman committed
1098
  echo $ac_n "checking ansi standard C++ stream headers ""... $ac_c" 1>&6
1099
echo "configure:1100: checking ansi standard C++ stream headers " >&5 
Brad King's avatar